summaryrefslogtreecommitdiffstats
path: root/network/skype
diff options
context:
space:
mode:
Diffstat (limited to 'network/skype')
-rw-r--r--network/skype/README15
-rw-r--r--network/skype/doinst.sh16
-rw-r--r--network/skype/skype.SlackBuild77
-rw-r--r--network/skype/skype.info8
-rw-r--r--network/skype/slack-desc11
5 files changed, 127 insertions, 0 deletions
diff --git a/network/skype/README b/network/skype/README
new file mode 100644
index 0000000000..a7bcb3115a
--- /dev/null
+++ b/network/skype/README
@@ -0,0 +1,15 @@
+Skype is a P2P Voice Over IP program.
+
+Skype is a free Voice Over IP program for Linux, Windows and
+MacOS. It allows users to communicate with other Skype users
+running any of the supported platforms, as well as receiving
+and placing calls from and to normal land lines as well as
+mobile phones.
+
+Skype needs QT, so you'll have that installed (QT is part of
+the slackware distribution)
+
+Please note that the mirror from which we download skype is not
+skype.com. This is due to the fact that skype has removed any
+and all support to skype-1.3.x in lieu of skype-1.4.x which is
+QT4 based. \ No newline at end of file
diff --git a/network/skype/doinst.sh b/network/skype/doinst.sh
new file mode 100644
index 0000000000..9c8ab7d00f
--- /dev/null
+++ b/network/skype/doinst.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/dbus-1/system.d/skype.conf.new
diff --git a/network/skype/skype.SlackBuild b/network/skype/skype.SlackBuild
new file mode 100644
index 0000000000..5358f420ab
--- /dev/null
+++ b/network/skype/skype.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for skype
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=skype
+VERSION=1.3.0.53
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# This is a repackage of a binary distribution
+# CFLAGS are not required
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION-generic.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+chmod 644 sound/*
+
+# ./configure not necessary for binary based builds
+mkdir -p $PKG/{usr/{bin,share/{skype,pixmaps,applications}},etc/dbus-1/system.d}
+cp skype skype-callto-handler $PKG/usr/bin
+cp -R sound lang $PKG/usr/share/skype
+cp skype.conf $PKG/etc/dbus-1/system.d/skype.conf.new
+cp icons/skype_48_32.png $PKG/usr/share/pixmaps/skype.png
+sed -e "s/Icon\=skype.png/Icon\=\/usr\/share\/pixmaps\/skype.png/g" \
+ skype.desktop > $PKG/usr/share/applications/skype.desktop
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/skype/skype.info b/network/skype/skype.info
new file mode 100644
index 0000000000..d44c34f163
--- /dev/null
+++ b/network/skype/skype.info
@@ -0,0 +1,8 @@
+PRGNAM="skype"
+VERSION="1.3.0.53"
+HOMEPAGE="http://www.skype.com"
+DOWNLOAD="http://ftp.surfnet.nl/pub/os/Linux/distr/pardusrepo/sources/skype-1.3.0.53-generic.tar.bz2"
+MD5SUM="e288e398e4a34a5760ff6321b253ed08"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="BP{k},alien"
diff --git a/network/skype/slack-desc b/network/skype/slack-desc
new file mode 100644
index 0000000000..cce30af4e1
--- /dev/null
+++ b/network/skype/slack-desc
@@ -0,0 +1,11 @@
+skype: Skype is a P2P Voice Over IP program.
+skype:
+skype: Skype is a free Voice Over IP program for Linux, Windows and
+skype: MacOS. It allows users to communicate with other Skype users
+skype: running any of the supported platforms, as well as receiving
+skype: and placing calls from and to normal land lines as well as
+skype: mobile phones.
+skype:
+skype:
+skype: homepage: http://www.skype.com
+skype: